Package ghidra.features.bsim.query.protocol

# Class FilterAtom

java.lang.Object
ghidra.features.bsim.query.protocol.FilterAtom

Direct Known Subclasses:
  `ChildAtom`

public class FilterAtom extends Object
A single element for filtering on specific properties of ExecutableRecords or FunctionDescriptions Each FilterAtom consists of a FilterTemplate describing the property to filter on, and how the filter should apply, and a String -value- that the property should match (or not)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `BSimFilterType`
  `type`
  `String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterAtom()`
  `FilterAtom(BSimFilterType type, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FilterAtom`
  `clone()`
  `boolean`
  `evaluate(ExecutableRecord rec)`
  `String`
  `getInfoString()`
  `String`
  `getValueString()`
  `boolean`
  `isValid()`
  Returns true if this Atom has a non-null value
  `void`
  `restoreXml(XmlPullParser parser)`
  `void`
  `saveXml(Writer fwrite)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    public BSimFilterType type

  - ### value

    public String value

- ## Constructor Details

  - ### FilterAtom

    public FilterAtom()

  - ### FilterAtom

    public FilterAtom(BSimFilterType type, String value)

- ## Method Details

  - ### clone

    public FilterAtom clone()
    Overrides:
      `clone` in class `Object`

  - ### saveXml

    public void saveXml(Writer fwrite) throws IOException
    Throws:
      `IOException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser)

  - ### getInfoString

    public String getInfoString()

  - ### evaluate

    public boolean evaluate(ExecutableRecord rec)
    Parameters:
      `rec` - is a specific ExecutableRecord
    Returns:
      true if this FilterAtom would let the specific executable pass the filter

  - ### isValid

    public boolean isValid()
    Returns true if this Atom has a non-null value

  - ### getValueString

    public String getValueString()